Fraud Alert: Heartbleed Bug

We are aware of the concerns surrounding the “Heartbleed Bug” (OpenSSL vulnerability).

Please be aware that our web site uses web servers, which are not affected by the Heartbleed Bug. Our technology personnel have been assessing all systems to determine if there are any other known vulnerabilities, and will continue to review those until we are confident we have covered all areas of concern.

If any vulnerabilities are identified, and action needs to be taken, we will notify customers immediately.